Subject: bug#14248: closed (Re: bug#14248: 24.3.50; crappy error: "Wow, indirect keymap entry!!")

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Feb 2014 03:49:02 +0000

Your bug report

#14248: 24.3.50; crappy error: "Wow, indirect keymap entry!!"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14248: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14248
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14248: 24.3.50; crappy error: "Wow, indirect keymap entry!!"
From: Stefan Monnier <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
Date: Mon, 10 Feb 2014 22:48:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> I'm sorry, but I don't recall from a year ago.  And it's possible
> that I was not aware at the time just what triggered the error.

Closing, then,

        Stefan

Subject: 24.3.50; crappy error: "Wow, indirect keymap entry!!"
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Tue, 23 Apr 2013 09:25:22 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This error message, in keymap.c, is unhelpful and inappropriate:
 
      /* If the contents are (KEYMAP . ELEMENT), go indirect.  */
      else if (KEYMAPP (XCAR (object)))
 error ("Wow, indirect keymap entry!!");
      else
 return object;

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-04-17 on ODIEONE
Bzr revision: 112320 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'